import javax.microedition.lcdui.*;

public class TeachMode extends Form implements CommandListener { 
    Dictionary  dictionary;
    ChoiceGroup mode;

    TeachMode(Dictionary dictionary) { 
        super(Locale.MODE);        
        this.dictionary = dictionary;
        mode = new ChoiceGroup(Locale.TRANSLATE_FROM, 
                               Choice.MULTIPLE,
                               Locale.LANGUAGES,
                               null);
        mode.setSelectedFlags(new boolean[]{true, false});
        append(mode);
        addCommand(Dictionary.TEACH_CMD);
        setCommandListener(this);
        Display.getDisplay(dictionary).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d) 
    {
        if (c == Dictionary.TEACH_CMD) { 
            boolean[] flags = new boolean[2];
            mode.getSelectedFlags(flags);
            if (!flags[0] && !flags[1]) { 
                Alert a = new Alert(Locale.ERROR, Locale.INVALID_MODE, null, AlertType.ERROR);
                Display.getDisplay(dictionary).setCurrent(a, this);
            } else { 
                new TeachForm(dictionary, flags);
            }
        }
    }
}
           

   